MKSWAP(8)

NOM
mkswap - Créer une zone d'échange (swap) Linux

SYNOPSIS
mkswap [options] périphérique [taille]

DESCRIPTION
mkswap crée une zone d'échange Linux sur un périphérique ou dans un fichier.

Le paramètre périphérique est normalement une partition du disque dur (/dev/sdb7 par exemple) mais peut aussi être un fichier. Le noyau Linux ne regarde pas les identifiants de partition, mais beaucoup de scripts d'installation supposeront que les partitions de type 82 en hexadécimal (LINUX_SWAP) sont, par défaut, des partitions d'échange. (Attention : Solaris utilise aussi le type 82 ; prenez garde de ne pas supprimer les partitions Solaris.)

Le paramètre taille est superflu, mais il est conservé pour des raisons de compatibilité ascendante (il indique la taille désirée de la zone d'échange par blocs de 1024 octets. mkswap utilisera la totalité de la partition ou du fichier si la taille est omise. L'indiquer est imprudent — une coquille pourrait détruire le disque).

Après avoir créé la zone d'échange, vous aurez besoin de la commande swapon pour l'utiliser. Habituellement les zones d'échange sont indiquées dans le fichier /etc/fstab afin qu'elles puissent être utilisées au démarrage par la commande swapon -a dans les scripts de démarrage.

AVERTISSEMENT
L'en-tête de la zone d'échange ne modifie pas le premier bloc. Un chargeur de démarrage ou une étiquette de disque peut y être placé, mais ce n'est pas une configuration recommandée. La configuration recommandée est d'utiliser une partition séparée pour la zone d'échange.

mkswap, comme beaucoup d'autres outils du type mkfs, efface le premier bloc de la partition pour rendre les anciens systèmes de fichiers invisibles.

Cependant, mkswap refuse de supprimer le premier bloc d'un périphérique avec une étiquette de disque (SUN, BSD, etc.).

OPTIONS

-c, --check
    Vérifier le périphérique (si c'est un périphérique bloc) pour découvrir les blocs corrompus avant de créer une zone d'échange. S'il trouve des blocs corrompus, leur nombre est affiché.

-f, --force
    Continuer même si la commande est stupide. Cela permet de créer des zones d'échange plus grandes que la taille du fichier ou de la partition dans laquelle elle réside.

    Ainsi, sans cette option, mkswap refusera d'effacer le premier bloc d'un périphérique avec une table de partitions.

-L, --label étiquette
    Indiquer une étiquette de périphérique, pour permettre l'utilisation de swapon avec cette étiquette.

-p, --pagesize taille
    Indiquer la taille de page (en octet) à utiliser. Cette option est normalement inutile, mkswap lit la taille depuis le noyau.

-U, --uuid UUID
    Indiquer l'UUID à utiliser. Le comportement par défaut est de créer un UUID.

-v, --swapversion 1
    Indiquer la version de l'espace d'échange (cette option ne sert actuellement à rien car l'ancienne option -v 0 est devenue obsolète et que seule -v 1 est prise en charge. Le noyau ne prend plus en charge le format v0 d'espace d'échange depuis la version 2.5.22 (juin 2002). La nouvelle version v1 est prise en charge depuis le noyau 2.1.117 (août 1998)).

-h, --help
    Afficher un texte d'aide puis quitter.

-V, --version
    Afficher les informations sur la version et quitter.

NOTES
La taille utile maximale d’une zone d’échange dépend de l’architecture et de la version du noyau.

Le nombre maximal de pages qu’il est possible d’adresser avec l’en-tête de la zone d’échange est 4294967295 (UINT_MAX). L’espace restant dans le périphérique d’échange est ignoré.

Actuellement, Linux autorise 32 zones d'échange. Les zones en cours d'utilisation sont visibles dans le fichier /proc/swaps.

mkswap refuse les zones de taille inférieure à 10 pages.

Si vous ne connaissez pas la taille des pages que la machine utilise, vous pouvez la voir avec « cat /proc/cpuinfo » (le contenu de ce fichier dépendant de l'architecture et de la version du noyau, il est possible que vous n'ayez pas accès à cette information).

Pour installer un fichier d'échange, il est nécessaire de créer ce fichier avant de l'initialiser avec mkswap, par exemple en utilisant une commande comme

    # fallocate --length 8GiB fichier_échange

Notez qu'un fichier d'échange ne doit contenir aucun trou (par conséquent, utiliser cp(1) pour créer le fichier n'est pas acceptable).

ENVIRONNEMENT

LIBBLKID_DEBUG=all
    Activer la sortie de débogage de libblkid.

VOIR AUSSI
fdisk(8), swapon(8)

DISPONIBILITÉ
La commande mkswap fait partie du paquet util-linux, elle est disponible sur <ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite par Jérôme Perzyna en 2004. La version présente dans Debian est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.